Bug 737761 - Update Dogtag Packages for Fedora 16
Summary: Update Dogtag Packages for Fedora 16
Keywords:
Status: NEW
Alias: None
Product: Dogtag Certificate System
Classification: Retired
Component: Build
Version: 9.0
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Matthew Harmsen
QA Contact: Ben Levenson
URL:
Whiteboard:
Depends On:
Blocks: dogtagIPAv2 Dogtag9.0
TreeView+ depends on / blocked
 
Reported: 2011-09-13 03:24 UTC by Matthew Harmsen
Modified: 2015-07-13 04:57 UTC (History)
4 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed:


Attachments (Terms of Use)
Fedora 15 JSS diffs (741 bytes, patch)
2011-09-28 03:01 UTC, Matthew Harmsen
alee: review+
Details | Diff
Fedora 16 JSS diffs (485 bytes, patch)
2011-09-28 03:02 UTC, Matthew Harmsen
alee: review+
Details | Diff
Fedora 17 JSS diffs (485 bytes, patch)
2011-09-28 03:03 UTC, Matthew Harmsen
alee: review+
Details | Diff
Fedora 15, 16, 17 osutil diffs (1.73 KB, patch)
2011-09-28 03:05 UTC, Matthew Harmsen
alee: review+
Details | Diff
Fedora 15, 16, 17 tomcatjss diffs (2.70 KB, patch)
2011-09-28 03:05 UTC, Matthew Harmsen
alee: review+
Details | Diff
Fedora 15, 16, 17 pki diffs (37.47 KB, patch)
2011-09-28 03:07 UTC, Matthew Harmsen
alee: review+
Details | Diff
Fedora 15, 16, 17 pki diffs (9.96 KB, patch)
2011-10-29 02:34 UTC, Matthew Harmsen
jmagne: review+
Details | Diff
Fedora 15, 16, 17 pki diffs (5.92 KB, patch)
2012-01-07 01:54 UTC, Matthew Harmsen
no flags Details | Diff
Fedora 15, 16, 17 pki diffs (6.41 KB, patch)
2012-01-07 02:08 UTC, Matthew Harmsen
jmagne: review+
Details | Diff

Description Matthew Harmsen 2011-09-13 03:24:50 UTC
To prepare for the release of Fedora 16 (beta), update all changes to any
Dogtag Packages that have been changed since the updated releases on
Fedora 16 (beta).

Comment 1 Matthew Harmsen 2011-09-13 03:27:44 UTC
This bug needs to track changes per the following schedule:

    * http://fedoraproject.org/wiki/Releases/16/Schedule

Comment 2 Matthew Harmsen 2011-09-13 06:00:38 UTC
The following email was sent to release engineering:

SUBJECT:  Request to build 'JSS 4.2.6' on Fedora 16 and Rawhide . . .

CONTENT:

We would like to request an official build of 'jss-4.2.6-19.1.fc16' on Fedora 16 and 'jss-4.2.6-19.1.fc17' on Rawhide (Fedora 17) in Koji per the following bug:

    * Bugzilla Bug #734590 - Refactor JNI libraries for Fedora 16+ . . .

The official spec files, source tarballs, other additional required sources, and all associated patches are located at:

    * http://pki.fedoraproject.org/pki/sources/jss/jss-4.2.6-19.1.fc16/       (Fedora 16)
    * http://pki.fedoraproject.org/pki/sources/jss/jss-4.2.6-19.1.fc16/       (Rawhide - note that files should be identical to Fedora 16 except for "%dist" tag)

Comment 3 Matthew Harmsen 2011-09-13 06:14:14 UTC
The following email was sent to release engineering:

SUBJECT:  Request to build 'OSUTIL 2.0.1' on Fedora 16 and Rawhide . . .

CONTENT:

We would like to request an official build of 'osutil-2.0.1-2.fc16' on Fedora 16 and 'osutil-2.0.1-2.fc17' on Rawhide (Fedora 17) in Koji per the following bug:

    * Bugzilla Bug #734590 - Refactor JNI libraries for Fedora 16+ . . .

The official source tarball is located at:

    * http://pki.fedoraproject.org/pki/sources/osutil/osutil-2.0.1.tar.gz       (Fedora 16)
    * http://pki.fedoraproject.org/pki/sources/osutil/osutil-2.0.1.tar.gz       (Rawhide - note that files should be identical to Fedora 16 except for "%dist" tag)


The official spec file is located at:

    * https://alpha.dsdev.sjc.redhat.com/home/mharmsen/kwright/SPECS/FC16/osutil.spec

Comment 4 Matthew Harmsen 2011-09-13 06:19:15 UTC
The following email was sent to release engineering:

SUBJECT:  Request to build 'TOMCATJSS 6.0.1' on Fedora 16 and Rawhide . . .

CONTENT:

We would like to request an official build of 'tomcatjss-6.0.1-1.fc16' on Fedora 16 and 'tomcatjss-6.0.1-1.fc17' on Rawhide (Fedora 17) in Koji per the following bug:

    * Bugzilla Bug #734590 - Refactor JNI libraries for Fedora 16+ . . .

The official source tarball is located at:

    * http://pki.fedoraproject.org/pki/sources/tomcatjss/tomcatjss-6.0.1.tar.gz       (Fedora 16, Rawhide)

The official spec file is located at:

    * https://alpha.dsdev.sjc.redhat.com/home/mharmsen/kwright/SPECS/FC16/tomcatjss.spec

Comment 5 Matthew Harmsen 2011-09-13 06:47:26 UTC
The following email was sent to release engineering:

SUBJECT:  Request to build the following PKI components on Fedora 16 and Rawhide . . .

CONTENT:

We would like to request official builds of the following RPMS on Fedora 16 and on Rawhide (Fedora 17) in Koji per the following bugs:

    * Bugzilla Bug #734590 - Refactor JNI libraries for Fedora 16+ . . .
    * Bugzilla Bug #699809 - Convert certificate system to use systemd

The official source tarballs are located at:

    * http://pki.fedoraproject.org/pki/sources/dogtag-pki-theme/dogtag-pki-theme-9.0.8.tar.gz   (dogtag-pki-theme)
    * http://pki.fedoraproject.org/pki/sources/pki-core/pki-core-9.0.14.tar.gz                  (pki-core)
    * http://pki.fedoraproject.org/pki/sources/pki-kra/pki-kra-9.0.7.tar.gz                     (pki-kra)
    * http://pki.fedoraproject.org/pki/sources/pki-ocsp/pki-ocsp-9.0.6.tar.gz                   (pki-ocsp)
    * http://pki.fedoraproject.org/pki/sources/pki-tks/pki-tks-9.0.6.tar.gz                     (pki-tks)
    * http://pki.fedoraproject.org/pki/sources/pki-console/pki-console-9.0.4.tar.gz             (pki-console)


The official spec files are located at:

    * https://alpha.dsdev.sjc.redhat.com/home/mharmsen/kwright/SPECS/FC16/dogtag-pki-theme.spec  (dogtag-pki-theme)
    * https://alpha.dsdev.sjc.redhat.com/home/mharmsen/kwright/SPECS/FC16/pki-core.spec          (pki-core)
    * https://alpha.dsdev.sjc.redhat.com/home/mharmsen/kwright/SPECS/FC16/pki-kra.spec           (pki-kra)
    * https://alpha.dsdev.sjc.redhat.com/home/mharmsen/kwright/SPECS/FC16/pki-ocsp.spec          (pki-ocsp)
    * https://alpha.dsdev.sjc.redhat.com/home/mharmsen/kwright/SPECS/FC16/pki-tks.spec           (pki-tks)
    * https://alpha.dsdev.sjc.redhat.com/home/mharmsen/kwright/SPECS/FC16/pki-console.spec       (pki-console)

Comment 6 Matthew Harmsen 2011-09-13 09:57:35 UTC
The following email was sent to release engineering:

SUBJECT:  COMPLETENESS:  Request to build the following PKI components on Fedora 16 and Rawhide . . .

CONTENT:

For completeness, We would like to request official builds of the following RPMS on Fedora 16 and on Rawhide (Fedora 17) in Koji:

The official source tarballs are located at:

    * http://pki.fedoraproject.org/pki/sources/pki-ra/pki-ra-9.0.3.tar.gz                       (pki-ra)
    * http://pki.fedoraproject.org/pki/sources/pki-tps/pki-tps-9.0.6.tar.gz                     (pki-tps)

The official spec files are located at:

    * https://alpha.dsdev.sjc.redhat.com/home/mharmsen/kwright/SPECS/FC16/pki-ra.spec           (pki-ra)
    * https://alpha.dsdev.sjc.redhat.com/home/mharmsen/kwright/SPECS/FC16/pki-tps.spec          (pki-tps)
    * https://alpha.dsdev.sjc.redhat.com/home/mharmsen/kwright/SPECS/FC16/dogtag-pki.spec       (dogtag-pki --- META package; no source tarball)

Comment 7 Matthew Harmsen 2011-09-13 18:02:42 UTC
Created "static" source tags:

# svn mkdir
svn+ssh://svn.fedorahosted.org/svn/pki/tags/DOGTAG_9_0_FEDORA_16_BETA_20110913

# svn copy
svn+ssh://svn.fedorahosted.org/svn/pki/trunk/pki
svn+ssh://svn.fedorahosted.org/svn/pki/tags/DOGTAG_9_0_FEDORA_16_BETA_20110913

# svn mkdir
svn+ssh://svn.fedorahosted.org/svn/tomcatjss/tags/DOGTAG_9_0_FEDORA_16_BETA_20110913

# svn copy
svn+ssh://svn.fedorahosted.org/svn/tomcatjss/trunk/tomcatjss
svn+ssh://svn.fedorahosted.org/svn/tomcatjss/tags/DOGTAG_9_0_FEDORA_16_BETA_20110913

# svn mkdir
svn+ssh://svn.fedorahosted.org/svn/nuxwdog/tags/DOGTAG_9_0_FEDORA_16_BETA_20110913

# svn copy
svn+ssh://svn.fedorahosted.org/svn/nuxwdog/trunk/nuxwdog
svn+ssh://svn.fedorahosted.org/svn/nuxwdog/tags/DOGTAG_9_0_FEDORA_16_BETA_20110913

# git clone ssh://git.fedorahosted.org/git/osutil.git

# cd osutil

# git tag DOGTAG_9_0_FEDORA_16_BETA_20110913

# git push --tags

Comment 8 Matthew Harmsen 2011-09-28 03:01:31 UTC
Created attachment 525249 [details]
Fedora 15 JSS diffs

Full Fedora 15 JSS source, patches, and spec file located at:

    * http://pki.fedoraproject.org/pki/sources/jss/jss-4.2.6-20.fc15

Comment 9 Matthew Harmsen 2011-09-28 03:02:33 UTC
Created attachment 525250 [details]
Fedora 16 JSS diffs

Full Fedora 16 JSS source, patches, and spec file located at:

    * http://pki.fedoraproject.org/pki/sources/jss/jss-4.2.6-20.fc16

Comment 10 Matthew Harmsen 2011-09-28 03:03:23 UTC
Created attachment 525251 [details]
Fedora 17 JSS diffs

Full Fedora 17 JSS source, patches, and spec file located at:

    * http://pki.fedoraproject.org/pki/sources/jss/jss-4.2.6-20.fc17

Comment 11 Matthew Harmsen 2011-09-28 03:05:17 UTC
Created attachment 525252 [details]
Fedora 15, 16, 17 osutil diffs

Comment 12 Matthew Harmsen 2011-09-28 03:05:59 UTC
Created attachment 525253 [details]
Fedora 15, 16, 17 tomcatjss diffs

Comment 13 Matthew Harmsen 2011-09-28 03:07:51 UTC
Created attachment 525254 [details]
Fedora 15, 16, 17 pki diffs

NOTE:  Fedora 17 (rawhide) may fail during the build due to a previously
       noticed issue with Java 7 javadocs.

Comment 14 Matthew Harmsen 2011-09-29 22:47:47 UTC
jss:

Full Fedora 15 JSS source, patches, and spec file located at:

    * http://pki.fedoraproject.org/pki/sources/jss/jss-4.2.6-20.fc15

Full Fedora 16 JSS source, patches, and spec file located at:

    * http://pki.fedoraproject.org/pki/sources/jss/jss-4.2.6-20.fc16

Full Fedora 17 JSS source, patches, and spec file located at:

    * http://pki.fedoraproject.org/pki/sources/jss/jss-4.2.6-20.fc17


osutil TIP:

# cd osutil

# fedpkg commit -p
[master 8e5e1c8] Bugzilla Bug #737761 - Update Dogtag Packages for Fedora 16
 Committer: Matthew Harmsen <mharmsen@pkilinux.sjc.redhat.com>
Your name and email address were configured automatically based
on your username and hostname. Please check that they are accurate.
You can suppress this message by setting them explicitly:

    git config --global user.name "Your Name"
    git config --global user.email you@example.com

If the identity used for this commit is wrong, you can fix it with:

    git commit --amend --author='Your Name <you@example.com>'

 3 files changed, 8 insertions(+), 4 deletions(-)

# git push
Counting objects: 9, done.
Delta compression using up to 4 threads.
Compressing objects: 100% (5/5), done.
Writing objects: 100% (5/5), 601 bytes, done.
Total 5 (delta 4), reused 0 (delta 0)
To ssh://git.fedorahosted.org/git/osutil.git
   2127e2b..8e5e1c8  master -> master


tomcatjss TIP:

# cd tomcatjss

# svn status | grep -v ^$ | grep -v ^P | grep -v ^X | grep -v ^?
M       tomcatjss.spec
M       build.xml

# svn commit
Sending        build.xml
Sending        tomcatjss.spec
Transmitting file data ..
Committed revision 194.


pki TIP:

# cd pki

# svn status | grep -v ^$ | grep -v ^P | grep -v ^X | grep -v ^?
M       scripts/compose_pki_tks_packages
M       scripts/compose_pki_console_packages
M       scripts/compose_pki_ra_packages
M       scripts/compose_pki_ocsp_packages
M       scripts/compose_pki_tps_packages
M       scripts/compose_pki_kra_packages
M       scripts/compose_dogtag_pki_theme_packages
M       scripts/compose_pki_core_packages
M       specs/dogtag-pki-theme.spec
M       specs/dogtag-pki.spec
M       specs/pki-tps.spec
M       specs/pki-core.spec
M       specs/pki-kra.spec
M       specs/pki-tks.spec
M       specs/pki-console.spec
M       specs/pki-ra.spec
M       specs/pki-ocsp.spec
M       CMakeLists.txt

# svn commit
Sending        CMakeLists.txt
Sending        scripts/compose_dogtag_pki_theme_packages
Sending        scripts/compose_pki_console_packages
Sending        scripts/compose_pki_core_packages
Sending        scripts/compose_pki_kra_packages
Sending        scripts/compose_pki_ocsp_packages
Sending        scripts/compose_pki_ra_packages
Sending        scripts/compose_pki_tks_packages
Sending        scripts/compose_pki_tps_packages
Sending        specs/dogtag-pki-theme.spec
Sending        specs/dogtag-pki.spec
Sending        specs/pki-console.spec
Sending        specs/pki-core.spec
Sending        specs/pki-kra.spec
Sending        specs/pki-ocsp.spec
Sending        specs/pki-ra.spec
Sending        specs/pki-tks.spec
Sending        specs/pki-tps.spec
Transmitting file data ..................
Committed revision 2237.

Comment 16 Matthew Harmsen 2011-10-06 22:40:20 UTC
Published the following official source tarballs to their homes on
pki.fedoraproject.org:

# cd /var/www/html/pki/sources

# cksum `ls -l */*.gz | grep "Oct  6" | cut -c46-`
773163493 926095 dogtag-pki-theme/dogtag-pki-theme-9.0.9.tar.gz
3443175159 552800 pki-console/pki-console-9.0.5.tar.gz
2799687248 2380766 pki-core/pki-core-9.0.15.tar.gz
3682069314 103153 pki-kra/pki-kra-9.0.8.tar.gz
3144702689 67361 pki-ocsp/pki-ocsp-9.0.7.tar.gz
3378336240 115047 pki-ra/pki-ra-9.0.4.tar.gz
3054679863 61475 pki-tks/pki-tks-9.0.7.tar.gz
557716749 582543 pki-tps/pki-tps-9.0.7.tar.gz

Comment 17 Matthew Harmsen 2011-10-07 00:08:26 UTC
The following email was sent to release engineering:

SUBJECT:  Request to build the following PKI components on Fedora 15, Fedora 16, and Fedora 17 (Rawhide) . . .

CONTENT:

Please build the following components on Fedora 15, Fedora 16, and Fedora 17 (rawhide) in Koji . . .

    * dogtag-pki-theme-9.0.9-1.fc15.src.rpm    (dogtag-pki-theme)
    * pki-core-9.0.15-1.fc15.src.rpm           (pki-core)
    * pki-console-9.0.5-1.fc15.src.rpm         (pki-console)
    * pki-kra-9.0.8-1.fc15.src.rpm             (pki-kra)
    * pki-ocsp-9.0.7-1.fc15.src.rpm            (pki-ocsp)
    * pki-tks-9.0.7-1.fc15.src.rpm             (pki-tks)
    * pki-ra-9.0.4-1.fc15.src.rpm              (pki-ra)
    * pki-tps-9.0.7-1.fc15.src.rpm             (pki-tps)
    * dogtag-pki-9.0.0-7.fc15.src.rpm          (dogtag-pki)

All changes have been checked-in, and the official tarballs (for all three platforms) have been published to:

    * http://pki.fedoraproject.org/pki/sources/dogtag-pki-theme/dogtag-pki-theme-9.0.9.tar.gz    (dogtag-pki-theme)
    * http://pki.fedoraproject.org/pki/sources/pki-core/pki-core-9.0.15.tar.gz                   (pki-core)
    * http://pki.fedoraproject.org/pki/sources/pki-console/pki-console-9.0.5.tar.gz              (pki-console)
    * http://pki.fedoraproject.org/pki/sources/pki-kra/pki-kra-9.0.8.tar.gz                      (pki-kra)
    * http://pki.fedoraproject.org/pki/sources/pki-ocsp/pki-ocsp-9.0.7.tar.gz                    (pki-ocsp)
    * http://pki.fedoraproject.org/pki/sources/pki-tks/pki-tks-9.0.7.tar.gz                      (pki-tks)
    * http://pki.fedoraproject.org/pki/sources/pki-ra/pki-ra-9.0.4.tar.gz                        (pki-ra)
    * http://pki.fedoraproject.org/pki/sources/pki-tps/pki-tps-9.0.7.tar.gz                      (pki-tps)
    * N/A                                                                                        (dogtag-pki)

The official spec files (for all three platforms) are located at:

    * https://alpha.dsdev.sjc.redhat.com/home/mharmsen/kwright/SPECS/dogtag-pki-theme.spec       (dogtag-pki-theme)
    * https://alpha.dsdev.sjc.redhat.com/home/mharmsen/kwright/SPECS/pki-core.spec               (pki-core)
    * https://alpha.dsdev.sjc.redhat.com/home/mharmsen/kwright/SPECS/pki-console.spec            (pki-console)
    * https://alpha.dsdev.sjc.redhat.com/home/mharmsen/kwright/SPECS/pki-kra.spec                (pki-kra)
    * https://alpha.dsdev.sjc.redhat.com/home/mharmsen/kwright/SPECS/pki-ocsp.spec               (pki-ocsp)
    * https://alpha.dsdev.sjc.redhat.com/home/mharmsen/kwright/SPECS/pki-ra.spec                 (pki-ra)
    * https://alpha.dsdev.sjc.redhat.com/home/mharmsen/kwright/SPECS/pki-tks.spec                (pki-tks)
    * https://alpha.dsdev.sjc.redhat.com/home/mharmsen/kwright/SPECS/pki-tps.spec                (pki-tps)
    * https://alpha.dsdev.sjc.redhat.com/home/mharmsen/kwright/SPECS/dogtag-pki.spec             (dogtag-pki)

To build the specified components, please import the following into the buildroot:

    * Fedora 15
          o jss-4.2.6-20.el15         (pki-core, pki-console, pki-kra, pki-ocsp, pki-tks)
          o osutil-2.0.2-1.el15       (pki-core)
          o tomcatjss-6.0.2-1.el15    (pki-core)
    * Fedora 16
          o jss-4.2.6-20.el16         (pki-core, pki-console, pki-kra, pki-ocsp, pki-tks)
          o osutil-2.0.2-1.el16       (pki-core)
          o tomcatjss-6.0.2-1.el16    (pki-core)
    * Fedora 17
          o jss-4.2.6-20.el17         (pki-core, pki-console, pki-kra, pki-ocsp, pki-tks)
          o osutil-2.0.2-1.el17       (pki-core)
          o tomcatjss-6.0.2-1.el17    (pki-core)

Comment 18 Matthew Harmsen 2011-10-07 00:27:02 UTC
Created "static" source tags:

# svn mkdir
svn+ssh://svn.fedorahosted.org/svn/pki/tags/DOGTAG_9_0_FEDORA_15_16_17_20111006

# svn copy
svn+ssh://svn.fedorahosted.org/svn/pki/trunk/pki
svn+ssh://svn.fedorahosted.org/svn/pki/tags/DOGTAG_9_0_FEDORA_15_16_17_20111006

# svn mkdir
svn+ssh://svn.fedorahosted.org/svn/tomcatjss/tags/DOGTAG_9_0_FEDORA_15_16_17_20111006

# svn copy
svn+ssh://svn.fedorahosted.org/svn/tomcatjss/trunk/tomcatjss
svn+ssh://svn.fedorahosted.org/svn/tomcatjss/tags/DOGTAG_9_0_FEDORA_15_16_17_20111006

# svn mkdir
svn+ssh://svn.fedorahosted.org/svn/nuxwdog/tags/DOGTAG_9_0_FEDORA_15_16_17_20111006

# svn copy
svn+ssh://svn.fedorahosted.org/svn/nuxwdog/trunk/nuxwdog
svn+ssh://svn.fedorahosted.org/svn/nuxwdog/tags/DOGTAG_9_0_FEDORA_15_16_17_20111006

# git clone ssh://git.fedorahosted.org/git/osutil.git

# cd osutil

# git tag DOGTAG_9_0_FEDORA_15_16_17_20111006

# git push --tags

Comment 19 Matthew Harmsen 2011-10-29 02:34:50 UTC
Created attachment 530762 [details]
Fedora 15, 16, 17 pki diffs

Comment 20 Matthew Harmsen 2011-10-29 02:46:17 UTC
pki TIP:

# cd pki

# svn status | grep -v ^$ | grep -v ^P | grep -v ^X | grep -v ^?
M       scripts/compose_pki_tks_packages
M       scripts/compose_pki_ocsp_packages
M       scripts/compose_pki_kra_packages
M       scripts/compose_pki_migrate_packages
M       scripts/compose_pki_core_packages
M       CMakeLists.txt
M       specs/dogtag-pki.spec
M       specs/pki-core.spec
M       specs/pki-migrate.spec
M       specs/pki-kra.spec
M       specs/pki-tks.spec
M       specs/pki-ocsp.spec

# svn commit
Sending        CMakeLists.txt
Sending        scripts/compose_pki_tks_packages
Sending        scripts/compose_pki_ocsp_packages
Sending        scripts/compose_pki_kra_packages
Sending        scripts/compose_pki_migrate_packages
Sending        scripts/compose_pki_core_packages
Sending        specs/dogtag-pki.spec
Sending        specs/pki-core.spec
Sending        specs/pki-migrate.spec
Sending        specs/pki-kra.spec
Sending        specs/pki-tks.spec
Sending        specs/pki-ocsp.spec
Transmitting file data ............
Committed revision 2277.

Comment 21 Matthew Harmsen 2011-10-29 02:54:28 UTC
Published the following official source tarballs to their homes on
pki.fedoraproject.org:

# cd /var/www/html/pki/sources

# cksum `ls -l */*.gz | grep "Oct  6" | cut -c46-`
336523044 2381627 pki-core/pki-core-9.0.16.tar.gz
865749638 104717 pki-kra/pki-kra-9.0.9.tar.gz
799070081 67355 pki-ocsp/pki-ocsp-9.0.8.tar.gz
1771576124 61483 pki-tks/pki-tks-9.0.8.tar.gz

Comment 22 Matthew Harmsen 2011-10-29 04:37:56 UTC
The following email was sent to release engineering:

SUBJECT:  Request to build the following PKI components on Fedora 15, Fedora
16, and Fedora 17 (Rawhide) . . .

CONTENT:
Fixes have been made to allow Dogtag 9.0 to build successfully on Fedora 17!

Please build the following components on Fedora 15, Fedora 16, and Fedora 17 (rawhide) in Koji . . .

    * pki-core-9.0.16-1.fc[15,16,17].src.rpm    (pki-core)
    * pki-kra-9.0.9-1.fc[15,16,17].src.rpm      (pki-kra)
    * pki-ocsp-9.0.8-1.fc[15,16,17].src.rpm     (pki-ocsp)
    * pki-tks-9.0.8-1.fc[15,16,17].src.rpm      (pki-tks)
    * dogtag-pki-9.0.0-8.fc[15,16,17].src.rpm   (dogtag-pki)

and please build the following components on Fedora 17 (rawhide) in Koji . . .

    * pki-ra-9.0.4-1.fc17.src.rpm    (pki-ra)
    * pki-tps-9.0.7-1.fc17.src.rpm   (pki-tps)

All changes have been checked-in, and the official tarballs (for all three platforms) have been published to:

    * http://pki.fedoraproject.org/pki/sources/pki-core/pki-core-9.0.16.tar.gz   (pki-core)
    * http://pki.fedoraproject.org/pki/sources/pki-kra/pki-kra-9.0.9.tar.gz      (pki-kra)
    * http://pki.fedoraproject.org/pki/sources/pki-ocsp/pki-ocsp-9.0.8.tar.gz    (pki-ocsp)
    * http://pki.fedoraproject.org/pki/sources/pki-tks/pki-tks-9.0.8.tar.gz      (pki-tks)
    * N/A                                                                        (dogtag-pki)

likewise, the official tarballs for the additional Fedora 17 (rawhide) builds are available at:

    * http://pki.fedoraproject.org/pki/sources/pki-ra/pki-ra-9.0.4.tar.gz     (pki-ra)
    * http://pki.fedoraproject.org/pki/sources/pki-tps/pki-tps-9.0.7.tar.gz   (pki-tps)

The official spec files (for all three platforms) are located at:

    * https://alpha.dsdev.sjc.redhat.com/home/mharmsen/kwright/SPECS/FEDORA/pki-core.spec     (pki-core)
    * https://alpha.dsdev.sjc.redhat.com/home/mharmsen/kwright/SPECS/FEDORA/pki-kra.spec      (pki-kra)
    * https://alpha.dsdev.sjc.redhat.com/home/mharmsen/kwright/SPECS/FEDORA/pki-ocsp.spec     (pki-ocsp)
    * https://alpha.dsdev.sjc.redhat.com/home/mharmsen/kwright/SPECS/FEDORA/pki-tks.spec      (pki-tks)
    * https://alpha.dsdev.sjc.redhat.com/home/mharmsen/kwright/SPECS/FEDORA/dogtag-pki.spec   (dogtag-pki)

likewise, the official spec files for the additional Fedora 17 (rawhide) builds are available at:

    * https://alpha.dsdev.sjc.redhat.com/home/mharmsen/kwright/SPECS/FEDORA-17/pki-ra.spec    (pki-ra)
    * https://alpha.dsdev.sjc.redhat.com/home/mharmsen/kwright/SPECS/FEDORA-17/pki-tps.spec   (pki-tps)

Comment 23 Matthew Harmsen 2011-10-29 04:47:41 UTC
Created "static" source tags:

# svn mkdir
svn+ssh://svn.fedorahosted.org/svn/pki/tags/DOGTAG_9_0_FEDORA_15_16_17_20111028

# svn copy
svn+ssh://svn.fedorahosted.org/svn/pki/trunk/pki
svn+ssh://svn.fedorahosted.org/svn/pki/tags/DOGTAG_9_0_FEDORA_15_16_17_20111028

# svn mkdir
svn+ssh://svn.fedorahosted.org/svn/tomcatjss/tags/DOGTAG_9_0_FEDORA_15_16_17_20111028

# svn copy
svn+ssh://svn.fedorahosted.org/svn/tomcatjss/trunk/tomcatjss
svn+ssh://svn.fedorahosted.org/svn/tomcatjss/tags/DOGTAG_9_0_FEDORA_15_16_17_20111028

# svn mkdir
svn+ssh://svn.fedorahosted.org/svn/nuxwdog/tags/DOGTAG_9_0_FEDORA_15_16_17_20111028

# svn copy
svn+ssh://svn.fedorahosted.org/svn/nuxwdog/trunk/nuxwdog
svn+ssh://svn.fedorahosted.org/svn/nuxwdog/tags/DOGTAG_9_0_FEDORA_15_16_17_20111028

# git clone ssh://git.fedorahosted.org/git/osutil.git

# cd osutil

# git tag DOGTAG_9_0_FEDORA_15_16_17_20111028

# git push --tags

Comment 24 Matthew Harmsen 2012-01-07 01:54:03 UTC
Created attachment 551320 [details]
Fedora 15, 16, 17 pki diffs

This package build resolves the following bugs:

    * Bugzilla Bug #747381 - After the migration (7.1->8.1) CA agent page 
      displays admin cert request with authtime attribute twice
    * Bugzilla Bug #747019 - Migrated policy requests from 7.1->8.1 displays 
      issuedcerts and cert_Info params as base 64 blobs.
    * Bugzilla Bug #757848 - DRM re-key tool: introduces a blank line in the 
      middle of an ldif entry.
    * Bugzilla Bug #756133 - Some DRM components are not referring properly to 
      DRM's request and key records.
    * Bugzilla Bug #758505 - DRM's request list breaks after migration of 
      request records with big IDs.
    * Bugzilla Bug #768138 - Make sure that paging works correctly
      in CA and DRM
    * Bugzilla Bug #771357 - sslget does not work after FEDORA-2011-17400
      update, breaking FreeIPA install

Comment 25 Matthew Harmsen 2012-01-07 02:08:49 UTC
Created attachment 551324 [details]
Fedora 15, 16, 17 pki diffs

This package build resolves the following bugs:

    * Bugzilla Bug #747381 - After the migration (7.1->8.1) CA agent page 
      displays admin cert request with authtime attribute twice
    * Bugzilla Bug #747019 - Migrated policy requests from 7.1->8.1 displays 
      issuedcerts and cert_Info params as base 64 blobs.
    * Bugzilla Bug #757848 - DRM re-key tool: introduces a blank line in the 
      middle of an ldif entry.
    * Bugzilla Bug #756133 - Some DRM components are not referring properly to 
      DRM's request and key records.
    * Bugzilla Bug #758505 - DRM's request list breaks after migration of 
      request records with big IDs.
    * Bugzilla Bug #768138 - Make sure that paging works correctly
      in CA and DRM
    * Bugzilla Bug #771357 - sslget does not work after FEDORA-2011-17400
      update, breaking FreeIPA install

Comment 26 Matthew Harmsen 2012-01-07 02:23:31 UTC
DOGTAG_9_BRANCH: (SVN)

# cd pki

# svn status | grep -v ^$ | grep -v ^P | grep -v ^X | grep -v ^?
M       scripts/compose_dogtag_pki_theme_packages
M       scripts/compose_pki_core_packages
M       specs/dogtag-pki-theme.spec
M       specs/dogtag-pki.spec
M       specs/pki-core.spec
M       CMakeLists.txt

# svn commit
Sending        CMakeLists.txt
Sending        scripts/compose_dogtag_pki_theme_packages
Sending        scripts/compose_pki_core_packages
Sending        specs/dogtag-pki-theme.spec
Sending        specs/dogtag-pki.spec
Sending        specs/pki-core.spec
Transmitting file data ......
Committed revision 2359.

Comment 27 Matthew Harmsen 2012-01-07 02:40:29 UTC
The following email was sent to release engineering:

SUBJECT:  Request to build the following PKI components on Fedora 15, Fedora
16, and Fedora 17 (Rawhide) . . .

CONTENT:
Fixes have been made to address the following bugs:

    Bugzilla Bug #747381 - After the migration (7.1->8.1) CA agent page displays admin cert request with authtime attribute twice
    Bugzilla Bug #747019 - Migrated policy requests from 7.1->8.1 displays issuedcerts and cert_Info params as base 64 blobs.
    Bugzilla Bug #757848 - DRM re-key tool: introduces a blank line in the middle of an ldif entry.
    Bugzilla Bug #756133 - Some DRM components are not referring properly to DRM's request and key records.
    Bugzilla Bug #758505 - DRM's request list breaks after migration of request records with big IDs.
    Bugzilla Bug #768138 - Make sure that paging works correctly in CA and DRM
    Bugzilla Bug #771357 - sslget does not work after FEDORA-2011-17400 update, breaking FreeIPA install

Please build the following components on Fedora 15, Fedora 16, and Fedora 17 (rawhide) in Koji . . .

    dogtag-pki-9.0.10-1.fc[15,16,17].src.rpm  (dogtag-pki-theme)
    pki-core-9.0.17-1.fc[15,16,17].src.rpm    (pki-core)
    dogtag-pki-9.0.0-9.fc[15,16,17].src.rpm   (dogtag-pki)

All changes have been checked-in, and the official tarballs (for all three platforms) have been published to:

    http://pki.fedoraproject.org/pki/sources/dogtag-pki-theme/dogtag-pki-theme-9.0.10.tar.gz  (dogtag-pki-theme)
    http://pki.fedoraproject.org/pki/sources/pki-core/pki-core-9.0.17.tar.gz                  (pki-core)

The official spec files (for all three platforms) are located at:

    https://alpha.dsdev.sjc.redhat.com/home/mharmsen/kwright/SPECS/FEDORA/dogtag-pki-theme.spec
    https://alpha.dsdev.sjc.redhat.com/home/mharmsen/kwright/SPECS/FEDORA/pki-core.spec
    https://alpha.dsdev.sjc.redhat.com/home/mharmsen/kwright/SPECS/FEDORA/dogtag-pki.spec

Comment 28 Matthew Harmsen 2012-01-07 04:11:08 UTC
Created "static" source tags:

# svn mkdir
svn+ssh://svn.fedorahosted.org/svn/pki/tags/DOGTAG_9_0_FEDORA_15_16_17_20120106

# svn copy
svn+ssh://svn.fedorahosted.org/svn/pki/trunk/pki
svn+ssh://svn.fedorahosted.org/svn/pki/tags/DOGTAG_9_0_FEDORA_15_16_17_20120106

# svn mkdir
svn+ssh://svn.fedorahosted.org/svn/tomcatjss/tags/DOGTAG_9_0_FEDORA_15_16_17_20120106

# svn copy
svn+ssh://svn.fedorahosted.org/svn/tomcatjss/trunk/tomcatjss
svn+ssh://svn.fedorahosted.org/svn/tomcatjss/tags/DOGTAG_9_0_FEDORA_15_16_17_20120106

# svn mkdir
svn+ssh://svn.fedorahosted.org/svn/nuxwdog/tags/DOGTAG_9_0_FEDORA_15_16_17_20120106

# svn copy
svn+ssh://svn.fedorahosted.org/svn/nuxwdog/trunk/nuxwdog
svn+ssh://svn.fedorahosted.org/svn/nuxwdog/tags/DOGTAG_9_0_FEDORA_15_16_17_20120106

# git clone ssh://git.fedorahosted.org/git/osutil.git

# cd osutil

# git tag DOGTAG_9_0_FEDORA_15_16_17_20120106

# git push --tags


Note You need to log in before you can comment on or make changes to this bug.